Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	lm_sensors: Hardware monitoring tools.
Name:		lm_sensors
Version:	3.0.3
Release:	1
License:	GNU/GPL
Group:		System/Configuration/Hardware
URL:		http://secure.netroedge.com/~lm78/
Source: 	http://secure.netroedge.com/~lm78/archive/lm_sensors-%{version}.tar.bz2
Source1: 	lm_sensors.sysconfig
Source2: 	lm_sensors.init
Patch0:		lm_sensors-cflags.patch
#Patch1: 	lm_sensors-2.5.5-glibc22.patch
Patch2: 	lm_sensors-3.0.0-path.patch
Patch3: 	lm_sensors-2.8.0-utf8.patch
#Patch4: 	lm_sensors-2.8.2-expr.patch
#Patch5: 	lm_sensors-2.8.3-local.patch
Patch6: 	lm_sensors-2.8.3-rpath.patch
Patch7: 	lm_sensors-2.8.7-udev.patch
#Patch8: 	lm_sensors-2.10.0-kernel26.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(preun): chkconfig
Requires(post): chkconfig
BuildRequires: 	bison sysfsutils-devel flex glibc-devel perl

# compatibility remove 
Provides:	libsensors.so.3

%description
The lm_sensors package includes a collection of modules for general SMBus
access and hardware monitoring.

%package devel
Summary:	%{name} development files
Group:		System/Configuration/Hardware
Requires:	%{name} = %{version}-%{release}

%description devel
Files for developing applications with %{name}.

%post
/sbin/ldconfig
/sbin/chkconfig --add lm_sensors

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del lm_sensors
fi

%prep
%setup -q
# remove -O2 optflag as it interferes with our -Os
%patch0 -p1 -b .cflags
#%patch1 -p1 -b .glibc22
%patch2 -p1 -b .path
#%patch3 -p1 -b .utf8
#%patch4 -p1 -b .expr
#%patch5 -p1 -b .local
%patch6 -p1 -b .rpath
#%patch7 -p1 -b .udev
#%patch8 -p1 -b .kernel26

%build
mkdir -p kernel/include/linux
ln -sf /usr/include/linux/* kernel/include/linux
make prefix=/usr exec_prefix=/usr bindir=/usr/bin sbindir=/usr/sbin sysconfdir=/etc datadir=/usr/share includedir=/usr/include libdir=%{_libdir} libexecdir=/usr/libexec localstatedir=/var sharedstatedir=/usr/com mandir=/usr/share/man infodir=/usr/share/info user

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
make prefix=/usr exec_prefix=/usr bindir=/usr/bin sbindir=/usr/sbin sysconfdir=/etc datadir=/usr/share includedir=/usr/include libdir=%{_libdir} libexecdir=/usr/libexec localstatedir=/var sharedstatedir=/usr/com mandir=/usr/share/man infodir=/usr/share/info DESTDIR=$RPM_BUILD_ROOT user_install
#chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so*

mv prog/init/README prog/init/README.initscripts

# Remove userland kernel headers, belong in glibc-kernheaders.
rm -rf $RPM_BUILD_ROOT%{_includedir}/linux

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lm_sensors
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/lm_sensors

#compatibility remove when not needed anymore
ln -s libsensors.so.4 $RPM_BUILD_ROOT%{_libdir}/libsensors.so.3

%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS COPYING doc INSTALL README* prog/init/*
%config(noreplace) %{_sysconfdir}/sensors3.conf
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man*/*
%{_sbindir}/*
%config %{_initrddir}/lm_sensors
%config(noreplace) %{_sysconfdir}/sysconfig/lm_sensors

%files devel
%defattr(-,root,root)
%{_includedir}/sensors
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- Version update
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.1-1
- Version update
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.0-1
- Version update
* Mon Sep 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.4-1
- Version update
* Mon Mar 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.3-1
- Version update
* Sat Mar 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.2-1
- Version update
* Wed Oct 03 2006 Christian Metzen <metzench@ccux-linux.de> 2.10.0-1
- Version update
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.9.1-2
- Tweaked specfile, removed unneccessary tags, re-adjusted group
* Tue Aug 30 2005 Uli Schukraft <schukraft@ccux-linux.de> 2.9.1-1
- Version Update to 2.9.1
- first release with spec-file
